<div>
  <lib-bb-itag-angular-navbar
    [isMenuVisibleMethod]="isMenuVisibleMethod"
    [color]="color"
    [leftMenuItems]="leftMenuItems"
    [rightMenuItems]="rightMenuItems"
    [applicationName]="applicationName"
    [applicationLogoAlt]="applicationLogoAlt"
    [applicationLogoUri]="applicationLogoUri"
    [profile]="profile"
    [activeRouterLinkClass]="activeRouterLinkClass"
    [showDebug]="showDebug"
    [applicationRouterLink]="applicationRouterLink"
    (menuClicked)="onMenuClicked($event)"
    (hamburgerMenuStatusIsOpen)="onHamburgerMenuStatusIsOpen($event)"
  ></lib-bb-itag-angular-navbar>
  <div *ngIf="!isHamburgerMenu">
    <br>
    <div>
      <button mat-flat-button color="primary" matTooltip="a tooltip text" (click)="setColor('primary')">primary</button>
      <button mat-flat-button color="warn" (click)="setColor('warn')">warn</button>
      <button mat-flat-button color="accent" (click)="setColor('accent')">accent</button>
    </div>
    <router-outlet ></router-outlet>
  </div>
</div>
